From: "Michael Orlitzky" <mjo@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-dns/rbldnsd/
Date: Sat, 2 Jan 2016 14:40:01 +0000 (UTC) [thread overview]
Message-ID: <1451745431.7cbee1a3d886f00f43e431e0c50a74813ad58456.mjo@gentoo> (raw)
commit: 7cbee1a3d886f00f43e431e0c50a74813ad58456
Author: Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 2 14:36:48 2016 +0000
Commit: Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Sat Jan 2 14:37:11 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7cbee1a3
net-dns/rbldnsd: add version 0.998.
Package-Manager: portage-2.2.24
net-dns/rbldnsd/Manifest | 1 +
net-dns/rbldnsd/rbldnsd-0.998.ebuild | 67 ++++++++++++++++++++++++++++++++++++
2 files changed, 68 insertions(+)
diff --git a/net-dns/rbldnsd/Manifest b/net-dns/rbldnsd/Manifest
index 6e88d40..54a3ec0 100644
--- a/net-dns/rbldnsd/Manifest
+++ b/net-dns/rbldnsd/Manifest
@@ -1 +1,2 @@
DIST rbldnsd-0.997a.tar.gz 144771 SHA256 9c17c6bde6995058204a66805444039d31523a7d4ef40cec059e505a0882a8ef SHA512 9a3e1a0ad2cd9dd08bcc114c70213a875e984f3761fa32c44fe544d8173f54330fe355ad229a120e64b8f4c8286187d0baa055526d3a85bc846df070bb213529 WHIRLPOOL b453396c9876fd4972c6028b5916ae9717d60d555e5bb33bc97f0a8910ee516a80d1a3cb6030a3850ec304794f4a00fd9f3dced0d5c7fd1388e7d87d53fedb24
+DIST rbldnsd-0.998.tar.gz 145363 SHA256 bc36082d46828ecdc0c9e3f8f009596746e1242b2b4002ab9cf9b93fe36e4924 SHA512 7b6fb106f8188b2ce6e05b622cf90a393a4642f00faa5bddc184ce02dbd2beee9d8de22cb09ae53a25c475f28f99d13fbf6252f0d4c1d72bf47ba23f769e7074 WHIRLPOOL 27165b85c85de5cd4db65979a093104d2f614af8163f10d65b5ac28eb443d4b9584ac5501314b8c3a8df3d730a0658f8cf88b0d6eb35efb9f3a17f25fc0ed49a
diff --git a/net-dns/rbldnsd/rbldnsd-0.998.ebuild b/net-dns/rbldnsd/rbldnsd-0.998.ebuild
new file mode 100644
index 0000000..63befe9
--- /dev/null
+++ b/net-dns/rbldnsd/rbldnsd-0.998.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils toolchain-funcs user python-single-r1
+
+DESCRIPTION="DNS server designed to serve blacklist zones"
+HOMEPAGE="http://www.corpit.ru/mjt/rbldnsd.html"
+SRC_URI="http://www.corpit.ru/mjt/rbldnsd/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~sparc ~x86 ~x86-fbsd"
+IUSE="ipv6 test zlib"
+
+REQUIRED_USE="test? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="zlib? ( sys-libs/zlib )"
+DEPEND="${RDEPEND}
+ test? ( ${PYTHON_DEPS}
+ dev-python/pydns:2[${PYTHON_USEDEP}] )"
+
+src_prepare() {
+ epatch "${FILESDIR}/rbldnsd-0.997a-robust-ipv6-test-support.patch"
+ epatch "${FILESDIR}/rbldnsd-0.997a-format-security-compile-fix.patch"
+}
+
+src_configure() {
+ # The ./configure file is handwritten and doesn't support a `make
+ # install` target, so there are no --prefix options. The econf
+ # function appends those automatically, so we can't use it.
+ ./configure \
+ $(use_enable ipv6) \
+ $(use_enable zlib) \
+ || die "./configure failed"
+}
+
+src_compile() {
+ emake \
+ AR="$(tc-getAR)" \
+ CC="$(tc-getCC)" \
+ RANLIB="$(tc-getRANLIB)"
+}
+
+src_test() {
+ emake check \
+ CC="$(tc-getCC)" \
+ PYTHON="${PYTHON}"
+}
+
+src_install() {
+ dosbin rbldnsd
+ doman rbldnsd.8
+ keepdir /var/db/rbldnsd
+ dodoc CHANGES* TODO NEWS README*
+ newinitd "${FILESDIR}"/initd-0.997a rbldnsd
+ newconfd "${FILESDIR}"/confd-0.997a rbldnsd
+}
+
+pkg_postinst() {
+ enewgroup rbldns
+ enewuser rbldns -1 -1 /var/db/rbldnsd rbldns
+ chown rbldns:rbldns /var/db/rbldnsd
+}
next reply other threads:[~2016-01-02 14:40 UTC|newest]
Thread overview: 23+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-01-02 14:40 Michael Orlitzky [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-03-29 3:00 [gentoo-commits] repo/gentoo:master commit in: net-dns/rbldnsd/ Michael Orlitzky
2024-03-29 2:04 Sam James
2024-03-29 2:04 Sam James
2024-03-28 23:01 Michael Orlitzky
2024-02-11 13:29 Michael Orlitzky
2020-05-02 9:01 Sergei Trofimovich
2020-04-23 11:15 Agostino Sarubbo
2020-04-23 10:41 Agostino Sarubbo
2020-04-22 17:54 Michael Orlitzky
2020-04-17 16:24 Sergei Trofimovich
2020-04-04 14:23 Michael Orlitzky
2020-02-11 17:09 Michael Orlitzky
2019-11-28 10:58 Agostino Sarubbo
2019-11-26 19:35 Sergei Trofimovich
2019-11-22 10:24 Agostino Sarubbo
2019-09-09 15:03 Michael Orlitzky
2017-01-08 16:39 Michael Orlitzky
2016-08-17 3:16 Michael Orlitzky
2016-08-17 3:13 Jeroen Roovers
2016-08-07 1:12 Michael Orlitzky
2016-03-06 12:58 Agostino Sarubbo
2015-09-27 5:28 Jeroen Roovers
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1451745431.7cbee1a3d886f00f43e431e0c50a74813ad58456.mjo@gentoo \
--to=mjo@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox